const Api = require('./Api');

class CityMapApi {

    static getMapInfo(success, fail) {
        Api.httpGet({
            url: '/city/getUserCityInfo.do',
            data: {},
            success: success,
            fail: fail,
        });
    }

    static openNewCity(success, fail) {
        Api.httpPost({
            url: '/city/openNextCity.do',
            data: {},
            success: success,
            fail: fail,
        });
    }

    static reportCityIncome() {
        // Api.httpPost({
        //     url: '/city/reportCityIncome.do',
        //     data: {},
        //     success: success,
        //     fail: fail,
        // });
        return Api.httpPostPromise('/city/reportCityIncome.do');
    }
}

module.exports = CityMapApi;
